import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, s = (p, r, i, t) => {
  for (var e = t > 1 ? void 0 : t ? m(r, i) : r, o = p.length - 1, l; o >= 0; o--)
    (l = p[o]) && (e = (t ? l(r, i, e) : l(e)) || e);
  return t && e && g(r, i, e), e;
};
let c = class extends a {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--checkCircleLarge", this.class = "c-pieIcon c-pieIcon--checkCircleLarge", this.name = "IconCheckCircleLarge";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--checkCircleLarge"><path fill-rule="evenodd" d="M3.75 16C3.75 9.245 9.245 3.75 16 3.75S28.25 9.245 28.25 16 22.755 28.25 16 28.25 3.75 22.755 3.75 16Zm1.75 0c0 5.793 4.707 10.5 10.5 10.5S26.5 21.793 26.5 16 21.793 5.5 16 5.5 5.5 10.207 5.5 16Zm4.944-.324 3.193 3.527h.018l7.945-8.287 1.26 1.208-8.269 8.627a1.353 1.353 0 0 1-.954.403h-.035a1.315 1.315 0 0 1-.953-.447l-3.5-3.858 1.295-1.173Z" clip-rule="evenodd"></path></svg>`;
  }
};
s([
  n({ type: String, reflect: !0 })
], c.prototype, "size", 2);
s([
  n({ type: String, reflect: !0 })
], c.prototype, "class", 2);
c = s([
  f("icon-check-circle-large")
], c);
export {
  c as IconCheckCircleLarge
};
